Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

# Class TransactionAgents5

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_09.TransactionAgents5

public class TransactionAgents5 extends Object

Java class for TransactionAgents5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionAgents5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InstgAgt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="InstdAgt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="DbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="CdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="IntrmyAgt1" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="IntrmyAgt2" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="IntrmyAgt3" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="RcvgAgt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="DlvrgAgt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="IssgAgt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="SttlmPlc" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ProprietaryAgent4" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BranchAndFinancialInstitutionIdentification6`
`cdtrAgt`
`protected BranchAndFinancialInstitutionIdentification6`
`dbtrAgt`
`protected BranchAndFinancialInstitutionIdentification6`
`dlvrgAgt`
`protected BranchAndFinancialInstitutionIdentification6`
`instdAgt`
`protected BranchAndFinancialInstitutionIdentification6`
`instgAgt`
`protected BranchAndFinancialInstitutionIdentification6`
`intrmyAgt1`
`protected BranchAndFinancialInstitutionIdentification6`
`intrmyAgt2`
`protected BranchAndFinancialInstitutionIdentification6`
`intrmyAgt3`
`protected BranchAndFinancialInstitutionIdentification6`
`issgAgt`
`protected List<ProprietaryAgent4>`
`prtry`
`protected BranchAndFinancialInstitutionIdentification6`
`rcvgAgt`
`protected BranchAndFinancialInstitutionIdentification6`
`sttlmPlc`

## Constructor Summary

Constructors
Constructor
Description
`TransactionAgents5()`

## Method Summary

Modifier and Type
Method
Description
`BranchAndFinancialInstitutionIdentification6`
`getCdtrAgt()`
Gets the value of the cdtrAgt property.
`BranchAndFinancialInstitutionIdentification6`
`getDbtrAgt()`
Gets the value of the dbtrAgt property.
`BranchAndFinancialInstitutionIdentification6`
`getDlvrgAgt()`
Gets the value of the dlvrgAgt property.
`BranchAndFinancialInstitutionIdentification6`
`getInstdAgt()`
Gets the value of the instdAgt property.
`BranchAndFinancialInstitutionIdentification6`
`getInstgAgt()`
Gets the value of the instgAgt property.
`BranchAndFinancialInstitutionIdentification6`
`getIntrmyAgt1()`
Gets the value of the intrmyAgt1 property.
`BranchAndFinancialInstitutionIdentification6`
`getIntrmyAgt2()`
Gets the value of the intrmyAgt2 property.
`BranchAndFinancialInstitutionIdentification6`
`getIntrmyAgt3()`
Gets the value of the intrmyAgt3 property.
`BranchAndFinancialInstitutionIdentification6`
`getIssgAgt()`
Gets the value of the issgAgt property.
`List<ProprietaryAgent4>`
`getPrtry()`
Gets the value of the prtry property.
`BranchAndFinancialInstitutionIdentification6`
`getRcvgAgt()`
Gets the value of the rcvgAgt property.
`BranchAndFinancialInstitutionIdentification6`
`getSttlmPlc()`
Gets the value of the sttlmPlc property.
`void`
`setCdtrAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the cdtrAgt property.
`void`
`setDbtrAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the dbtrAgt property.
`void`
`setDlvrgAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the dlvrgAgt property.
`void`
`setInstdAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the instdAgt property.
`void`
`setInstgAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the instgAgt property.
`void`
`setIntrmyAgt1(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the intrmyAgt1 property.
`void`
`setIntrmyAgt2(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the intrmyAgt2 property.
`void`
`setIntrmyAgt3(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the intrmyAgt3 property.
`void`
`setIssgAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the issgAgt property.
`void`
`setRcvgAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the rcvgAgt property.
`void`
`setSttlmPlc(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the sttlmPlc property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### instgAgt

protected BranchAndFinancialInstitutionIdentification6 instgAgt

### instdAgt

protected BranchAndFinancialInstitutionIdentification6 instdAgt

### dbtrAgt

protected BranchAndFinancialInstitutionIdentification6 dbtrAgt

### cdtrAgt

protected BranchAndFinancialInstitutionIdentification6 cdtrAgt

### intrmyAgt1

protected BranchAndFinancialInstitutionIdentification6 intrmyAgt1

### intrmyAgt2

protected BranchAndFinancialInstitutionIdentification6 intrmyAgt2

### intrmyAgt3

protected BranchAndFinancialInstitutionIdentification6 intrmyAgt3

### rcvgAgt

protected BranchAndFinancialInstitutionIdentification6 rcvgAgt

### dlvrgAgt

protected BranchAndFinancialInstitutionIdentification6 dlvrgAgt

### issgAgt

protected BranchAndFinancialInstitutionIdentification6 issgAgt

### sttlmPlc

protected BranchAndFinancialInstitutionIdentification6 sttlmPlc

### prtry

protected List<ProprietaryAgent4> prtry

## Constructor Details

### TransactionAgents5

public TransactionAgents5()

## Method Details

### getInstgAgt

public BranchAndFinancialInstitutionIdentification6 getInstgAgt()
Gets the value of the instgAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setInstgAgt

public void setInstgAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the instgAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getInstdAgt

public BranchAndFinancialInstitutionIdentification6 getInstdAgt()
Gets the value of the instdAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setInstdAgt

public void setInstdAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the instdAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getDbtrAgt

public BranchAndFinancialInstitutionIdentification6 getDbtrAgt()
Gets the value of the dbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setDbtrAgt

public void setDbtrAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getCdtrAgt

public BranchAndFinancialInstitutionIdentification6 getCdtrAgt()
Gets the value of the cdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setCdtrAgt

public void setCdtrAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getIntrmyAgt1

public BranchAndFinancialInstitutionIdentification6 getIntrmyAgt1()
Gets the value of the intrmyAgt1 property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setIntrmyAgt1

public void setIntrmyAgt1(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the intrmyAgt1 property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getIntrmyAgt2

public BranchAndFinancialInstitutionIdentification6 getIntrmyAgt2()
Gets the value of the intrmyAgt2 property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setIntrmyAgt2

public void setIntrmyAgt2(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the intrmyAgt2 property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getIntrmyAgt3

public BranchAndFinancialInstitutionIdentification6 getIntrmyAgt3()
Gets the value of the intrmyAgt3 property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setIntrmyAgt3

public void setIntrmyAgt3(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the intrmyAgt3 property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getRcvgAgt

public BranchAndFinancialInstitutionIdentification6 getRcvgAgt()
Gets the value of the rcvgAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setRcvgAgt

public void setRcvgAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the rcvgAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getDlvrgAgt

public BranchAndFinancialInstitutionIdentification6 getDlvrgAgt()
Gets the value of the dlvrgAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setDlvrgAgt

public void setDlvrgAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the dlvrgAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getIssgAgt

public BranchAndFinancialInstitutionIdentification6 getIssgAgt()
Gets the value of the issgAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setIssgAgt

public void setIssgAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the issgAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getSttlmPlc

public BranchAndFinancialInstitutionIdentification6 getSttlmPlc()
Gets the value of the sttlmPlc property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setSttlmPlc

public void setSttlmPlc(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the sttlmPlc property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getPrtry

public List<ProprietaryAgent4> getPrtry()
Gets the value of the prtry property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prtry property.

For example, to add a new item, do as follows:

        getPrtry().add(newItem);

Objects of the following type(s) are allowed in the list `ProprietaryAgent4`